﻿

function loadWeather(lat, long) {
    jQuery(document).ready(function ($) {
        $.ajax({
            url: "http://api.wunderground.com/api/335a1a36ccf0c533/geolookup/conditions/q/" + lat + "," + long + ".json",
            dataType: "jsonp",
            success: function (parsed_json) {
                var location = parsed_json['location']['city'];
                var temp_f = parsed_json['current_observation']['temp_f'];

                var temp_s = parsed_json['current_observation']['temperature_string'];
                var wind_s = parsed_json['current_observation']['wind_string'];
                var icon_url = parsed_json['current_observation']['icon_url'];
                var weather_s = parsed_json['current_observation']['weather'];
                var precip_s = parsed_json['current_observation']['precip_today_string'];
                var forecast_s = parsed_json['current_observation']['forecast_url'];

                var shtml = '';


                shtml += '<table>';
                shtml += '<tr><td  style="background-color:#888888; text-align:center;" colspan="2"><font color="white">Today\'s Weather</font></td></tr>';

                shtml += '<tr><td>Conditions</td><td><img src="' + icon_url + '" /></td></tr>';
                shtml += '<tr><td style="background-color:#cccccc; text-align:center;">Forecast</td><td>' + weather_s + '</td></tr>';
                shtml += '<tr><td style="background-color:#cccccc; text-align:center;">Temperature</td><td>' + temp_s + '</td></tr>';
                shtml += '<tr><td style="background-color:#cccccc; text-align:center;">Precip Today</td><td>' + precip_s + '</td></tr>';
                shtml += '<tr><td style="background-color:#cccccc; text-align:center;">Wind</td><td>' + wind_s + '</td></tr>';
                shtml += '<tr><td style="background-color:#cccccc; text-align:center;">Forecast</td><td><a href="" onclick="document.location.href=\'' + forecast_s + '\'">Full Forecast</a></td></tr>';
                shtml += '</table>';


                document.getElementById('today_weather').innerHTML = shtml;


            }
        });
    });
}



// === GET PLANT DETAILS

function loadCityFrostDates(COOP) {
    //Did we come from a garden or from the browse or planner links
  //  TogglePlannerDisplay();

    //var db = window.openDatabase("Garden", "1.0", "Organic Gardening", 200000);
    db.transaction(function queryGardenPlannerList(tx) {

        tx.executeSql('SELECT * from CityState where COOP="' + COOP + '"', [], returnFrostDates, errorCB);

    }
        , errorCB);
}

//Remove 00/00 Dates
function sdFormat(sd) {
    if (sd == '00/00') {
        return ('');
    }
    else {
        return (sd);
    }
}


function trimDays(days) {
    if (days == '9999') {
        return ('');
    } else {

        return (days.replace(/^[0]+/g, ''));
    }
}

// Query the success callback
function returnFrostDates(tx, results) {
    var len = results.rows.length;
    console.log("freeze detail: " + len + " rows found.");
    for (var i = 0; i < len; i++) {



        var fdate = results.rows.item(i);

        //Get the weather too while we are at it

        loadWeather(fdate.lat_dec, fdate.long_dec);

        var stable = '';

        if (fdate.spring10_36 != null) {


            stable += '<table cellpadding="5">';
            stable += '<tr><td></td><td></td><td style="background-color:#888888; text-align:center;" colspan="3"><font color="white">Threshold (&deg;F)</font></td></tr>';


            stable += '<tr><td></td><td></td><td style="background-color:#cccccc; text-align:center;">36&deg;</td><td style="background-color:#cccccc; text-align:center;">32&deg;</td><td style="background-color:#cccccc; text-align:center;">28&deg;</td></tr>';

            stable += '<tr><td style="background-color:#888888; text-align:center;"><font color="white">Spring (Date)</font></td><td style="background-color:#cccccc; text-align:center;">10%</td>';
            stable += '<td>' + sdFormat(fdate.spring10_36) + '</td>';
            stable += '<td>' + sdFormat(fdate.spring10_32) + '</td>';
            stable += '<td>' + sdFormat(fdate.spring10_28) + '</td>';
            stable += '</tr>';

            stable += '<tr><td style="background-color:#888888; text-align:center;"><font color="white">Fall (Date)</font></td><td style="background-color:#cccccc; text-align:center;">90%</td>';

            stable += '<td>' + sdFormat(fdate.fall90_36) + '</td>';
            stable += '<td>' + sdFormat(fdate.fall90_32) + '</td>';
            stable += '<td>' + sdFormat(fdate.fall90_28) + '</td>';
            stable += '</tr>'
            stable += '<tr><td style="background-color:#888888; text-align:center;"><font color="white">Freeze Free</font></td> <td style="background-color:#cccccc; text-align:center;">90%</td>';
            stable += '<td>' + trimDays(fdate.free90_36) + '</td>';
            stable += '<td>' + trimDays(fdate.free90_32) + '</td>';
            stable += '<td>' + trimDays(fdate.free90_28) + '</td>';
            stable += '</tr>';
            stable += '</table>';


            document.getElementById('frost_dates').innerHTML = stable;
        }
        else {
            //CANADA
            stable += '<table cellpadding="5">';
            stable += '<tr><td></td><td style="background-color:#888888; text-align:center;"><font color="white">Average</font></td></tr>';

            stable += '<tr><td style="background-color:#888888; text-align:center;"><font color="white">Spring (Date)</font></td>';
            stable += '<td>' + fdate.avg_last_spring + '</td>';
            stable += '</tr>';

            stable += '<tr><td style="background-color:#888888; text-align:center;"><font color="white">Fall (Date)</font></td>';

            stable += '<td>' + fdate.avg_first_fall + '</td>';
            stable += '</tr>'
            stable += '</table>';


            document.getElementById('frost_dates').innerHTML = stable;
        }


    }

}